// priority: 0

ServerEvents.recipes(e => {
	armorPieces.vanilla.forEach(piece => {
		removeRecipeByOutput(e, [
			PET(`pure_emerald_armor_${piece}`)
		])
	})

	//helmet
	e.shaped(PET(`pure_emerald_armor_helmet`), [
		'AAA',
		'ABA'
	], {
		A: F("#gems/emerald"),
		B: MC('diamond_helmet'),
	})

	//chestplate
	e.shaped(PET(`pure_emerald_armor_chestplate`), [
		'ABA',
		'AAA',
		'AAA'
	], {
		A: F("#gems/emerald"),
		B: MC('diamond_chestplate'),
	})

	//leggings
	e.shaped(PET(`pure_emerald_armor_leggings`), [
		'AAA',
		'ABA',
		'A A'
	], {
		A: F("#gems/emerald"),
		B: MC('diamond_leggings'),
	})

	//boots
	e.shaped(PET(`pure_emerald_armor_boots`), [
		'ABA',
		'A A'
	], {
		A: F("#gems/emerald"),
		B: MC('diamond_boots'),
	})
})